## org.apache.poi.hssf.record.chart
Class FontBasisRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.FontBasisRecord

    public final class FontBasisRecord

extends StandardRecord

The font basis record stores various font metrics.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `sid`

Constructor Summary
`FontBasisRecord()`
`FontBasisRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` `clone()`
`protected int` `getDataSize()`
`short` `getHeightBasis()` Get the height basis field for the FontBasis record.
`short` `getIndexToFontTable()` Get the index to font table field for the FontBasis record.
`short` `getScale()` Get the scale field for the FontBasis record.
`short` `getSid()` return the non static version of the id for this record.
`short` `getXBasis()` Get the x Basis field for the FontBasis record.
`short` `getYBasis()` Get the y Basis field for the FontBasis record.
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` `setHeightBasis(short field_3_heightBasis)` Set the height basis field for the FontBasis record.
`void` `setIndexToFontTable(short field_5_indexToFontTable)` Set the index to font table field for the FontBasis record.
`void` `setScale(short field_4_scale)` Set the scale field for the FontBasis record.
`void` `setXBasis(short field_1_xBasis)` Set the x Basis field for the FontBasis record.
`void` `setYBasis(short field_2_yBasis)` Set the y Basis field for the FontBasis record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### FontBasisRecord

    public FontBasisRecord()

### FontBasisRecord

    public FontBasisRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getXBasis

    public short getXBasis()

  Get the x Basis field for the FontBasis record.

### setXBasis

    public void setXBasis(short field_1_xBasis)

  Set the x Basis field for the FontBasis record.

### getYBasis

    public short getYBasis()

  Get the y Basis field for the FontBasis record.

### setYBasis

    public void setYBasis(short field_2_yBasis)

  Set the y Basis field for the FontBasis record.

### getHeightBasis

    public short getHeightBasis()

  Get the height basis field for the FontBasis record.

### setHeightBasis

    public void setHeightBasis(short field_3_heightBasis)

  Set the height basis field for the FontBasis record.

### getScale

    public short getScale()

  Get the scale field for the FontBasis record.

### setScale

    public void setScale(short field_4_scale)

  Set the scale field for the FontBasis record.

### getIndexToFontTable

    public short getIndexToFontTable()

  Get the index to font table field for the FontBasis record.

### setIndexToFontTable

    public void setIndexToFontTable(short field_5_indexToFontTable)

  Set the index to font table field for the FontBasis record.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.